Update a pre-prompt
curl --request PUT \
--url https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/preprompts/{id} \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"publicValue": "<string>",
"maskedValue": "<string>",
"description": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/preprompts/{id}"
payload = {
"key": "<string>",
"publicValue": "<string>",
"maskedValue": "<string>",
"description": "<string>",
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
publicValue: '<string>',
maskedValue: '<string>',
description: '<string>',
tags: ['<string>']
})
};
fetch('https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/preprompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"key": "<string>",
"publicValue": "<string>",
"maskedValue": "<string>",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Prompt management
Update PrePrompt
Updates key/value pairs for an existing pre-prompt.
PUT
/
api
/
v1
/
preprompts
/
{id}
Update a pre-prompt
Modify any combination of
key, publicValue, maskedValue, description, or
tags for an existing pre-prompt. Authenticate with BACKEND_SECRET headers.
Request Body
All fields are optional. Only include the fields you want to update.| Field | Type | Description |
|---|---|---|
key | string | Unique identifier (2-64 chars) |
publicValue | string | User-facing label (1-512 chars) |
maskedValue | string | Hidden prompt (1-4000 chars) |
description | string | Optional description |
tags | string[] | Optional tags array |
Headers
Backend secret token required for admin-only endpoints. Provide either this header or Authorization: Bearer <secret>.
Path Parameters
PrePrompt identifier (UUID).
Required string length:
8 - 64Body
application/json
Required string length:
2 - 64Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]{1,63}$Required string length:
1 - 512Required string length:
1 - 4000Maximum string length:
500Maximum array length:
16Maximum string length:
50⌘I